### Method

# Gtk ShortcutTriggerhash

#### Declaration [src]

    guint
    gtk_shortcut_trigger_hash (
      gconstpointer trigger
    )

#### Description [src]

Generates a hash value for a `GtkShortcutTrigger`.

The output of this function is guaranteed to be the same for a given value only per-process. It may change between different processor architectures or even different versions of GTK. Do not use this function as a basis for building protocols or file formats.

The types of `trigger` is `gconstpointer` only to allow use of this function with `GHashTable`. They must each be a `GtkShortcutTrigger`.

#### Return value

Type: `guint`

A hash value corresponding to `trigger`.